> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Notification Preference Workspace Rule

> Delete a workspace notification rule



## OpenAPI

````yaml /openapi.json delete /notification-preferences/workspaces/{workspaceId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /notification-preferences/workspaces/{workspaceId}:
    delete:
      tags:
        - Notification Preferences
      summary: Delete Notification Preference Workspace Rule
      description: Delete a workspace notification rule
      operationId: deleteNotificationPreferenceWorkspaceRule
      parameters:
        - in: path
          name: workspaceId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Updated notification preferences
          content:
            application/json:
              schema:
                type: object
                properties:
                  emailAddress:
                    type: string
                    nullable: true
                  emailEnabled:
                    type: boolean
                  ntfyEnabled:
                    type: boolean
                  ntfyConfigured:
                    type: boolean
                  ntfyServerUrl:
                    type: string
                    nullable: true
                  ntfyTopic:
                    type: string
                    nullable: true
                  ntfyTokenConfigured:
                    type: boolean
                  maskedNtfyToken:
                    type: string
                    nullable: true
                  gotifyEnabled:
                    type: boolean
                  gotifyConfigured:
                    type: boolean
                  gotifyServerUrl:
                    type: string
                    nullable: true
                  gotifyTokenConfigured:
                    type: boolean
                  maskedGotifyToken:
                    type: string
                    nullable: true
                  webhookEnabled:
                    type: boolean
                  webhookConfigured:
                    type: boolean
                  webhookUrl:
                    type: string
                    nullable: true
                  webhookSecretConfigured:
                    type: boolean
                  maskedWebhookSecret:
                    type: string
                    nullable: true
                  workspaces:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        workspaceId:
                          type: string
                        workspaceName:
                          type: string
                        isActive:
                          type: boolean
                        emailEnabled:
                          type: boolean
                        ntfyEnabled:
                          type: boolean
                        gotifyEnabled:
                          type: boolean
                        webhookEnabled:
                          type: boolean
                        projectMode:
                          enum:
                            - all
                            - selected
                          type: string
                        selectedProjectIds:
                          type: array
                          items:
                            type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - workspaceId
                        - workspaceName
                        - isActive
                        - emailEnabled
                        - ntfyEnabled
                        - gotifyEnabled
                        - webhookEnabled
                        - projectMode
                        - selectedProjectIds
                        - createdAt
                        - updatedAt
                  createdAt:
                    nullable: true
                  updatedAt:
                    nullable: true
                required:
                  - emailAddress
                  - emailEnabled
                  - ntfyEnabled
                  - ntfyConfigured
                  - ntfyServerUrl
                  - ntfyTopic
                  - ntfyTokenConfigured
                  - maskedNtfyToken
                  - gotifyEnabled
                  - gotifyConfigured
                  - gotifyServerUrl
                  - gotifyTokenConfigured
                  - maskedGotifyToken
                  - webhookEnabled
                  - webhookConfigured
                  - webhookUrl
                  - webhookSecretConfigured
                  - maskedWebhookSecret
                  - workspaces
                  - createdAt
                  - updatedAt
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Workspace rule not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````